Bug 123770 - [NEW PORT] graphics/geeqie Lightweight image viewer forked from GQview
Summary: [NEW PORT] graphics/geeqie Lightweight image viewer forked from GQview
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-05-17 20:40 UTC by Martin Tournoij
Modified: 2008-06-26 12:10 UTC (History)
0 users

See Also:


Attachments
geeqie.shar (4.79 KB, text/plain)
2008-05-17 20:40 UTC, Martin Tournoij
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Tournoij 2008-05-17 20:40:01 UTC
Geeqie is a lightweight Gtk+ based image viewer for Unix operating systems. 

Main features
  o EXIF, IPTC and XMP metadata browsing and editing.
  o Interoperability, easy integration with other software.
  o geeqie works on files and directories, there is no need to import images.
  o Fast preview for many raw image formats.
  o Tools for image comparison, sorting and managing photo collection.

History
  Geeqie has been forked from gqview project, because it was not possible to
  contact gqview author and the only maintainer. Geeqie projects goal is to move
  the development forward and also integrate the existing patches. 

Project Status
  Geeqie is currently in alpha state. Everybody is encouraged to try the new
  features, however for stable software look at the original project.

WWW: http://geeqie.sourceforge.net/
Comment 1 Martin Wilke freebsd_committer 2008-06-01 02:44:03 UTC
State Changed
From-To: open->feedback

Hi, 

You port don't respect NOPORTEXAMPLES and/or NOPORTDOCS.  Please fix it 
and submit a followup to this PR. Look at the Porters Handbook for 
instructions. 

- Martin
Comment 2 Dmitry Marakasov freebsd_committer 2008-06-24 13:01:54 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 3 Dmitry Marakasov 2008-06-24 13:19:36 UTC
* Martin Tournoij (carpetsmoker@rwxrwxrwx.net) wrote:

> >Synopsis:       [NEW PORT] graphics/geeqie  Lightweight image viewer forked from GQview

I've pathched the port for you to respect NOPORTDOCS (+ some other nits).
Approve and I'll commit it.

--- geeqie.patch begins here ---
diff -ruN geeqie.orig/Makefile geeqie/Makefile
--- geeqie.orig/Makefile	2008-06-24 16:01:08.000000000 +0400
+++ geeqie/Makefile	2008-06-24 15:57:45.000000000 +0400
@@ -7,7 +7,7 @@
 #
 
 PORTNAME=	geeqie
-PORTVERSION=	1.0alpha1
+DISTVERSION=	1.0alpha1
 CATEGORIES=	graphics
 MASTER_SITES=	SF
 
@@ -24,6 +24,8 @@
 		--with-readmedir="${DOCSDIR}"
 MAKE_ARGS+=	top_builddir="${WRKSRC}"
 
+PORTDOCS=	*
+
 MAN1=		geeqie.1
 
 OPTIONS=	EXIV2 "Enable EXIV2 for metadata editing" on \
@@ -32,14 +34,14 @@
 .include <bsd.port.pre.mk>
 
 .if defined(WITH_EXIV2)
-LIB_DEPENDS+=	exiv2:${PORTSDIR}/graphics/exiv2
+LIB_DEPENDS+=	exiv2.3:${PORTSDIR}/graphics/exiv2
 CONFIGURE_ARGS+=--with-exiv2
 .else
 CONFIGURE_ARGS+=--without-exiv2
 .endif
 
 .if defined(WITH_LCMS)
-LIB_DEPENDS+=	lcms:${PORTSDIR}/graphics/lcms
+LIB_DEPENDS+=	lcms.1:${PORTSDIR}/graphics/lcms
 CONFIGURE_ARGS+=--with-lcms
 .else
 CONFIGURE_ARGS+=--without-lcms
@@ -48,5 +50,11 @@
 post-patch:
 	@${REINPLACE_CMD} -e 's| -r %F||' \
 		${WRKSRC}/geeqie.desktop
+.if defined(NOPORTDOCS)
+	@${REINPLACE_CMD} -e '/^install-data-am:/ s|install-helpDATA||' \
+		${WRKSRC}/doc/Makefile.in
+	@${REINPLACE_CMD} -e '/^install-data-am:/,/^[a-z]/ s|install-readmeDATA||' \
+		${WRKSRC}/Makefile.in
+.endif
 
 .include <bsd.port.post.mk>
diff -ruN geeqie.orig/pkg-plist geeqie/pkg-plist
--- geeqie.orig/pkg-plist	2008-06-24 16:01:08.000000000 +0400
+++ geeqie/pkg-plist	2008-06-24 15:51:04.000000000 +0400
@@ -1,56 +1,4 @@
 bin/geeqie
-%%DOCSDIR%%/html/gnu_fdl.txt
-%%DOCSDIR%%/html/gqview_faq.html
-%%DOCSDIR%%/html/index.html
-%%DOCSDIR%%/html/1_introduction.html
-%%DOCSDIR%%/html/2_main_window.html
-%%DOCSDIR%%/html/2_1_navigation.html
-%%DOCSDIR%%/html/2_2_menus.html
-%%DOCSDIR%%/html/2_3_layout.html
-%%DOCSDIR%%/html/2_4_file_pane.html
-%%DOCSDIR%%/html/2_5_folder_pane.html
-%%DOCSDIR%%/html/2_6_image_pane.html
-%%DOCSDIR%%/html/2_7_status_bar.html
-%%DOCSDIR%%/html/3_other_windows.html
-%%DOCSDIR%%/html/3_1_image_window.html
-%%DOCSDIR%%/html/3_2_image_properties.html
-%%DOCSDIR%%/html/4_image_management.html
-%%DOCSDIR%%/html/4_1_copy_move.html
-%%DOCSDIR%%/html/4_2_rename.html
-%%DOCSDIR%%/html/4_3_delete.html
-%%DOCSDIR%%/html/4_4_external_editing.html
-%%DOCSDIR%%/html/5_image_search.html
-%%DOCSDIR%%/html/5_1_search.html
-%%DOCSDIR%%/html/5_2_finding_duplicates.html
-%%DOCSDIR%%/html/6_collections.html
-%%DOCSDIR%%/html/7_sidebars.html
-%%DOCSDIR%%/html/7_1_exif.html
-%%DOCSDIR%%/html/7_2_sort_manager.html
-%%DOCSDIR%%/html/7_3_keywords.html
-%%DOCSDIR%%/html/8_image_presentation.html
-%%DOCSDIR%%/html/8_1_slideshow.html
-%%DOCSDIR%%/html/8_2_fullscreen.html
-%%DOCSDIR%%/html/9_printing.html
-%%DOCSDIR%%/html/10_options.html
-%%DOCSDIR%%/html/10_1_general.html
-%%DOCSDIR%%/html/10_2_image.html
-%%DOCSDIR%%/html/10_3_window.html
-%%DOCSDIR%%/html/10_4_filtering.html
-%%DOCSDIR%%/html/10_5_editor_commands.html
-%%DOCSDIR%%/html/10_6_advanced.html
-%%DOCSDIR%%/html/10_7_hidden.html
-%%DOCSDIR%%/html/11_reference.html
-%%DOCSDIR%%/html/11_1_command_line.html
-%%DOCSDIR%%/html/11_2_keyboard_shortcuts.html
-%%DOCSDIR%%/html/11_3_thumbnails.html
-%%DOCSDIR%%/html/11_4_management.html
-%%DOCSDIR%%/html/12_credits.html
-%%DOCSDIR%%/README
-%%DOCSDIR%%/COPYING
-%%DOCSDIR%%/ChangeLog
-%%DOCSDIR%%/TODO
 share/pixmaps/geeqie.png
 share/applications/geeqie.desktop
-@dirrm share/applications
-@dirrm %%DOCSDIR%%/html
-@dirrm %%DOCSDIR%%
+@dirrmtry share/applications
--- geeqie.patch ends here ---

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 4 Martin Tournoij 2008-06-26 04:04:29 UTC
On Tue, Jun 24, 2008 at 04:19:36PM +0400, Dmitry Marakasov wrote:
> * Martin Tournoij (carpetsmoker@rwxrwxrwx.net) wrote:
> 
> > >Synopsis:       [NEW PORT] graphics/geeqie  Lightweight image viewer forked from GQview
> 
> I've pathched the port for you to respect NOPORTDOCS (+ some other nits).
> Approve and I'll commit it.
> 
> --- geeqie.patch begins here ---
> [..snip..]
> --- geeqie.patch ends here ---

Hello Dmitry,

I had some other stuff to do, a new port isn't exactly high priority
IMO, which is why I hadn't looked in to this yet.

Thank you for the patch, one small comment:
I generally leave out library versions, in my experience it's not
needed, and only causes addition port "updates" and unneeded "You need
to upgrade libxyz" errors for users ... But this is just my
preference...

Other than this is seems fine so go ahead and commit it.

A question:
I was always under the impression that PORTDOCS was semi-optional.

Some ports require large dependencies to build the documentation
(docbook, doxygen, latex, etc), or it takes a very long time to build
the docs, or the docs take up a lot of space, for these ports
NOPORTDOCS makes sense.
But for a port like this, where the documentation consistent only out
of a few HTML files, very little is gained by using NOPORTDOCS, it
doesn't matter in dependencies, it matters very little in build time,
and the documentation only takes up very little space.

So this is why I never bothered with NOPORTDOCS if implementing it is
non-trivial.

I have some other ports that do not implement NOPORTDCS either, and no
commiter ever made a comment about it, has the policy been changed? Or
have I just been "lucky"?

-- 
Martin Tournoij
carpetsmoker@rwxrwxrwx.net
http://www.daemonforums.org

QOTD:
Call on God, but row away from the rocks.
		-- Indian proverb
Comment 5 dfilter service freebsd_committer 2008-06-26 12:01:36 UTC
amdmi3      2008-06-26 11:01:22 UTC

  FreeBSD ports repository

  Modified files:
    graphics             Makefile 
  Added files:
    graphics/geeqie      Makefile distinfo pkg-descr pkg-plist 
  Log:
  Geeqie is a lightweight Gtk+ based image viewer for Unix operating systems.
  
  Main features
    o EXIF, IPTC and XMP metadata browsing and editing.
    o Interoperability, easy integration with other software.
    o geeqie works on files and directories, there is no need to import images.
    o Fast preview for many raw image formats.
    o Tools for image comparison, sorting and managing photo collection.
  
  History
    Geeqie has been forked from gqview project, because it was not possible to
    contact gqview author and the only maintainer. Geeqie projects goal is to move
    the development forward and also integrate the existing patches.
  
  Project Status
    Geeqie is currently in alpha state. Everybody is encouraged to try the new
    features, however for stable software look at the original project.
  
  WWW: http://geeqie.sourceforge.net/
  
  PR:             ports/123770
  Submitted by:   Martin Tournoij <carpetsmoker at rwxrwxrwx dot net>
  Approved by:    miwi (mentor)
  
  Revision  Changes    Path
  1.1167    +1 -0      ports/graphics/Makefile
  1.1       +60 -0     ports/graphics/geeqie/Makefile (new)
  1.1       +3 -0      ports/graphics/geeqie/distinfo (new)
  1.1       +19 -0     ports/graphics/geeqie/pkg-descr (new)
  1.1       +4 -0      ports/graphics/geeqie/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Dmitry Marakasov freebsd_committer 2008-06-26 12:03:47 UTC
State Changed
From-To: feedback->closed

New port added, with minor changes. Thanks!